<?php

namespace app\models;
use app\models\InquirerAnswer;
use Yii;

/**
 * This is the model class for table "inquirer_question".
 *
 * @property int $id
 * @property string $text
 * @property string $active доступна
 * @property string $show показывать на главной
 * @property string $dt_cr
 * @property string $dt_pub
 * @property string $dt_end
 */
class Inquirer extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'inquirer_question';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['text'], 'required'],
            [['text', 'active', 'show'], 'string'],
            [['dt_cr', 'dt_pub', 'dt_end'], 'safe'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'text' => 'Вопрос',
            'active' => 'Доступна',
            'show' => 'Показывать на главной',
            'dt_cr' => 'Дата создания',
            'dt_pub' => 'Дата публикации',
            'dt_end' => 'Дата окончания опроса',
        ];
    }

    public function getAnswers()
    {
        return InquirerAnswer::findAll(['idq'=>$this->id]);
    }

}
